## harfbuzz 0.9.9

=== debian/changelog ===
harfbuzz (0.9.9-1ubuntu2) raring; urgency=low

  * debian/patches/git_symbol_test_arm.patch:
    - Fix failing test on ARM

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Dec 2012 17:40:11 +1300

harfbuzz (0.9.9-1ubuntu1) raring; urgency=low

  * debian/patches/git_symbol_test.patch:
    - Fix failing test

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Dec 2012 16:15:47 +1300

harfbuzz (0.9.9-1) experimental; urgency=low

  * Initial Release. (Closes: #687161)

  [ Andreas Henriksson ]
  * Imported Upstream version 0.9.9
  * Update symbols file for 0.9.9

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 07 Dec 2012 10:31:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

%:
	dh $@

## harfbuzz 1.7.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)
project(harfbuzz)


## Limit framework build to Xcode generator
if (BUILD_FRAMEWORK)
  # for a framework on macOS, use `cmake .. -DBUILD_FRAMEWORK:BOOL=true -G Xcode`
  if (NOT "${CMAKE_GENERATOR}" STREQUAL "Xcode")
    message(FATAL_ERROR
      "You should use Xcode generator with BUILD_FRAMEWORK enabled")
  endif ()
  set(CMAKE_OSX_ARCHITECTURES "$(ARCHS_STANDARD_32_64_BIT)")
  set(CMAKE_MACOSX_RPATH ON)
  set(BUILD_SHARED_LIBS ON)
endif ()


## Disallow in-source builds, as CMake generated make files can collide with autotools ones
if (NOT MSVC AND "${PROJECT_BINARY_DIR}" STREQUAL "${PROJECT_SOURCE_DIR}")
  message(FATAL_ERROR
    "
In-source builds are not permitted!  Make a separate folder for"
    " building, e.g.,"
    "
  mkdir build; cd build; cmake .."
    "
Before that, remove the files created by this failed run with"
    "
  rm -rf CMakeCache.txt CMakeFiles")
endif ()


## HarfBuzz build configurations
option(HB_HAVE_FREETYPE "Enable freetype interop helpers" OFF)
option(HB_HAVE_GRAPHITE2 "Enable Graphite2 complementary shaper" OFF)
option(HB_BUILTIN_UCDN "Use HarfBuzz provided UCDN" ON)
option(HB_HAVE_GLIB "Enable glib unicode functions" OFF)
option(HB_HAVE_ICU "Enable icu unicode functions" OFF)
if (APPLE)
  option(HB_HAVE_CORETEXT "Enable CoreText shaper backend on macOS" ON)
endif ()
if (WIN32)
  option(HB_HAVE_UNISCRIBE "Enable Uniscribe shaper backend on Windows" OFF)
  option(HB_HAVE_DIRECTWRITE "Enable DirectWrite shaper backend on Windows" OFF)
endif ()
option(HB_BUILD_UTILS "Build harfbuzz utils, needs cairo, freetype, and glib properly be installed" OFF)
if (HB_BUILD_UTILS)
  set(HB_HAVE_GLIB ON)
  set(HB_HAVE_FREETYPE ON)
endif ()

option(HB_HAVE_GOBJECT "Enable GObject Bindings" OFF)
if (HB_HAVE_GOBJECT)
  set(HB_HAVE_GLIB ON)
endif ()

option(HB_HAVE_INTROSPECTION "Enable building introspection (.gir/.typelib) files" OFF)
if (HB_HAVE_INTROSPECTION)
  set(HB_HAVE_GOBJECT ON)
  set(HB_HAVE_GLIB ON)
endif ()

include_directories(AFTER
  ${PROJECT_SOURCE_DIR}/src
  ${PROJECT_BINARY_DIR}/src
  )

add_definitions(-DHAVE_OT)
add_definitions(-DHAVE_FALLBACK)

if (BUILD_SHARED_LIBS)
  add_definitions(-DHAVE_ATEXIT)
endif ()

if (MSVC)
  add_definitions(-wd4244 -wd4267 -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
endif ()

if (WIN32 AND NOT MINGW AND BUILD_SHARED_LIBS)
  add_definitions("-DHB_EXTERN=__declspec(dllexport) extern")
endif ()


## Detect if we are running inside a distribution or regular repository folder
set(IN_HB_DIST FALSE)
if (EXISTS "${PROJECT_SOURCE_DIR}/ChangeLog")
  # perhaps we are on dist directory
  set(IN_HB_DIST TRUE)
  set(HB_VERSION_H "${PROJECT_SOURCE_DIR}/src/hb-version.h")
endif ()


## Extract variables from Makefile files
# http://stackoverflow.com/a/27630120/1414809
function (prepend var prefix)
  set(listVar "")
  foreach (f ${ARGN})
    list(APPEND listVar "${prefix}${f}")
  endforeach ()
  set(${var} "${listVar}" PARENT_SCOPE)
endfunction ()

function (extract_make_variable variable file prefix)
  string(REGEX MATCH "${variable} = ([^$]+)\\$" temp ${file})
  string(REGEX MATCHALL "[^ \n\t\\]+" list ${CMAKE_MATCH_1})
  prepend(list ${prefix} ${list})
  set(${variable} ${list} PARENT_SCOPE)
endfunction ()

file(READ ${PROJECT_SOURCE_DIR}/src/Makefile.sources SRCSOURCES)
file(READ ${PROJECT_SOURCE_DIR}/util/Makefile.sources UTILSOURCES)
file(READ ${PROJECT_SOURCE_DIR}/src/hb-ucdn/Makefile.sources UCDNSOURCES)

extract_make_variable(HB_BASE_sources ${SRCSOURCES} "${PROJECT_SOURCE_DIR}/src/")
extract_make_variable(HB_BASE_headers ${SRCSOURCES} "${PROJECT_SOURCE_DIR}/src/")
extract_make_variable(HB_FALLBACK_sources ${SRCSOURCES} "${PROJECT_SOURCE_DIR}/src/")
extract_make_variable(HB_OT_sources ${SRCSOURCES} "${PROJECT_SOURCE_DIR}/src/")
extract_make_variable(HB_OT_headers ${SRCSOURCES} "${PROJECT_SOURCE_DIR}/src/")

if (IN_HB_DIST)
  set(RAGEL_GENERATED_DIR "${PROJECT_SOURCE_DIR}/src/")
else ()
  set(RAGEL_GENERATED_DIR "${PROJECT_BINARY_DIR}/src/")
endif ()
extract_make_variable(HB_BASE_RAGEL_GENERATED_sources ${SRCSOURCES} ${RAGEL_GENERATED_DIR})
extract_make_variable(HB_OT_RAGEL_GENERATED_sources ${SRCSOURCES} ${RAGEL_GENERATED_DIR})

extract_make_variable(HB_VIEW_sources ${UTILSOURCES} "${PROJECT_SOURCE_DIR}/util/")
extract_make_variable(HB_SHAPE_sources ${UTILSOURCES} "${PROJECT_SOURCE_DIR}/util/")
extract_make_variable(HB_OT_SHAPE_CLOSURE_sources ${UTILSOURCES} "${PROJECT_SOURCE_DIR}/util/")

extract_make_variable(LIBHB_UCDN_sources ${UCDNSOURCES} "${PROJECT_SOURCE_DIR}/src/hb-ucdn/")

file(READ configure.ac CONFIGUREAC)
string(REGEX MATCH "\\[(([0-9]+)\\.([0-9]+)\\.([0-9]+))\\]" HB_VERSION_MATCH ${CONFIGUREAC})
set(HB_VERSION ${CMAKE_MATCH_1})
set(HB_VERSION_MAJOR ${CMAKE_MATCH_2})
set(HB_VERSION_MINOR ${CMAKE_MATCH_3})
set(HB_VERSION_MICRO ${CMAKE_MATCH_4})


## Define ragel tasks
if (NOT IN_HB_DIST)
  find_program(RAGEL "ragel" CMAKE_FIND_ROOT_PATH_BOTH)

  if (RAGEL)
    message(STATUS "ragel found at: ${RAGEL}")
  else ()
    message(FATAL_ERROR "ragel not found, get it here -- http://www.complang.org/ragel/ or, use harfbuzz releases https://github.com/harfbuzz/harfbuzz/releases")
  endif ()

  foreach (ragel_output IN ITEMS ${HB_BASE_RAGEL_GENERATED_sources} ${HB_OT_RAGEL_GENERATED_sources})
    string(REGEX MATCH "([^/]+)\\.hh" temp ${ragel_output})
    set(target_name ${CMAKE_MATCH_1})
    add_custom_command(OUTPUT ${ragel_output}
      COMMAND ${RAGEL} -G2 -o ${ragel_output} ${PROJECT_SOURCE_DIR}/src/${target_name}.rl -I ${PROJECT_SOURCE_DIR} ${ARGN}
      DEPENDS ${PROJECT_SOURCE_DIR}/src/${target_name}.rl
      )
    add_custom_target(harfbuzz_${target_name} DEPENDS ${PROJECT_BINARY_DIR}/src/${target_name})
  endforeach ()

  mark_as_advanced(RAGEL)
endif ()


## Generate hb-version.h
if (NOT IN_HB_DIST)
  set(HB_VERSION_H_IN "${PROJECT_SOURCE_DIR}/src/hb-version.h.in")
  set(HB_VERSION_H "${PROJECT_BINARY_DIR}/src/hb-version.h")
  set_source_files_properties("${HB_VERSION_H}" PROPERTIES GENERATED true)
  configure_file("${HB_VERSION_H_IN}" "${HB_VERSION_H}.tmp" @ONLY)
  execute_process(COMMAND "${CMAKE_COMMAND}" -E copy_if_different
    "${HB_VERSION_H}.tmp"
    "${HB_VERSION_H}"
    )
  file(REMOVE "${HB_VERSION_H}.tmp")
endif ()


## Define sources and headers of the project
set(project_sources
  ${HB_BASE_sources}
  ${HB_BASE_RAGEL_GENERATED_sources}

  ${HB_FALLBACK_sources}
  ${HB_OT_sources}
  ${HB_OT_RAGEL_GENERATED_sources}
  )

set(project_extra_sources)

set(project_headers
  ${HB_VERSION_H}

  ${HB_BASE_headers}
  ${HB_OT_headers}
  )


## Find and include needed header folders and libraries
if (HB_HAVE_FREETYPE)

  include(FindFreetype)
  if (NOT FREETYPE_FOUND)
    message(FATAL_ERROR "HB_HAVE_FREETYPE was set, but we failed to find it. Maybe add a CMAKE_PREFIX_PATH= to your Freetype2 install prefix")
  endif()

  list(APPEND THIRD_PARTY_LIBS ${FREETYPE_LIBRARIES})
  include_directories(AFTER ${FREETYPE_INCLUDE_DIRS})
  add_definitions(-DHAVE_FREETYPE=1 -DHAVE_FT_FACE_GETCHARVARIANTINDEX=1)

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-ft.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-ft.h)

endif ()

if (HB_HAVE_GRAPHITE2)
  add_definitions(-DHAVE_GRAPHITE2)

  find_path(GRAPHITE2_INCLUDE_DIR graphite2/Font.h)
  find_library(GRAPHITE2_LIBRARY graphite2)

  include_directories(${GRAPHITE2_INCLUDE_DIR})

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-graphite2.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-graphite2.h)

  list(APPEND THIRD_PARTY_LIBS ${GRAPHITE2_LIBRARY})

  mark_as_advanced(GRAPHITE2_INCLUDE_DIR GRAPHITE2_LIBRARY)
endif ()

if (HB_BUILTIN_UCDN)
  include_directories(src/hb-ucdn)
  add_definitions(-DHAVE_UCDN)

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-ucdn.cc)
  list(APPEND project_extra_sources ${LIBHB_UCDN_sources})
endif ()

if (HB_HAVE_GLIB)
  add_definitions(-DHAVE_GLIB)

  # https://github.com/WebKit/webkit/blob/master/Source/cmake/FindGLIB.cmake
  find_package(PkgConfig)
  pkg_check_modules(PC_GLIB QUIET glib-2.0)

  find_library(GLIB_LIBRARIES NAMES glib-2.0 HINTS ${PC_GLIB_LIBDIR} ${PC_GLIB_LIBRARY_DIRS})
  find_path(GLIBCONFIG_INCLUDE_DIR NAMES glibconfig.h HINTS ${PC_LIBDIR} ${PC_LIBRARY_DIRS} ${PC_GLIB_INCLUDEDIR} ${PC_GLIB_INCLUDE_DIRS} PATH_SUFFIXES glib-2.0/include)
  find_path(GLIB_INCLUDE_DIR NAMES glib.h HINTS ${PC_GLIB_INCLUDEDIR} ${PC_GLIB_INCLUDE_DIRS} PATH_SUFFIXES glib-2.0)

  include_directories(${GLIBCONFIG_INCLUDE_DIR} ${GLIB_INCLUDE_DIR})

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-glib.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-glib.h)

  list(APPEND THIRD_PARTY_LIBS ${GLIB_LIBRARIES})

  mark_as_advanced(GLIB_LIBRARIES GLIBCONFIG_INCLUDE_DIR GLIB_INCLUDE_DIR)
endif ()

if (HB_HAVE_ICU)
  add_definitions(-DHAVE_ICU)

  # https://github.com/WebKit/webkit/blob/master/Source/cmake/FindICU.cmake
  find_package(PkgConfig)
  pkg_check_modules(PC_ICU QUIET icu-uc)

  find_path(ICU_INCLUDE_DIR NAMES unicode/utypes.h HINTS ${PC_ICU_INCLUDE_DIRS} ${PC_ICU_INCLUDEDIR})
  find_library(ICU_LIBRARY NAMES libicuuc cygicuuc cygicuuc32 icuuc HINTS ${PC_ICU_LIBRARY_DIRS} ${PC_ICU_LIBDIR})

  include_directories(${ICU_INCLUDE_DIR})

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-icu.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-icu.h)

  list(APPEND THIRD_PARTY_LIBS ${ICU_LIBRARY})

  mark_as_advanced(ICU_INCLUDE_DIR ICU_LIBRARY)
endif ()

if (APPLE AND HB_HAVE_CORETEXT)
  # Apple Advanced Typography
  add_definitions(-DHAVE_CORETEXT)

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-coretext.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-coretext.h)

  find_library(APPLICATION_SERVICES_FRAMEWORK ApplicationServices)
  if (APPLICATION_SERVICES_FRAMEWORK)
    list(APPEND THIRD_PARTY_LIBS ${APPLICATION_SERVICES_FRAMEWORK})
  endif (APPLICATION_SERVICES_FRAMEWORK)
  
  mark_as_advanced(APPLICATION_SERVICES_FRAMEWORK)
endif ()

if (WIN32 AND HB_HAVE_UNISCRIBE)
  add_definitions(-DHAVE_UNISCRIBE)

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-uniscribe.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-uniscribe.h)

  list(APPEND THIRD_PARTY_LIBS usp10 gdi32 rpcrt4)
endif ()

if (WIN32 AND HB_HAVE_DIRECTWRITE)
  add_definitions(-DHAVE_DIRECTWRITE)

  list(APPEND project_sources ${PROJECT_SOURCE_DIR}/src/hb-directwrite.cc)
  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-directwrite.h)

  list(APPEND THIRD_PARTY_LIBS dwrite rpcrt4)
endif ()

if (HB_HAVE_GOBJECT)
  include(FindPythonInterp)
  include(FindPerl)
  
  # Use the hints from glib-2.0.pc to find glib-mkenums
  find_package(PkgConfig)
  pkg_check_modules(PC_GLIB QUIET glib-2.0)
  find_program(GLIB_MKENUMS glib-mkenums
    HINTS ${PC_glib_mkenums}
    )
  set(GLIB_MKENUMS_CMD)

  if (WIN32 AND NOT MINGW)
    # In Visual Studio builds, shebang lines are not supported
    # in the standard cmd.exe shell that we use, so we need to
    # first determine whether glib-mkenums is a Python or PERL
    # script
    execute_process(COMMAND "${PYTHON_EXECUTABLE}" "${GLIB_MKENUMS}" --version
      RESULT_VARIABLE GLIB_MKENUMS_PYTHON
      OUTPUT_QUIET ERROR_QUIET
      )
    if (GLIB_MKENUMS_PYTHON EQUAL 0)
      message("${GLIB_MKENUMS} is a Python script.")
      set(GLIB_MKENUMS_CMD "${PYTHON_EXECUTABLE}" "${GLIB_MKENUMS}")
    else ()
      execute_process(COMMAND "${PERL_EXECUTABLE}" "${GLIB_MKENUMS}" --version
        RESULT_VARIABLE GLIB_MKENUMS_PERL
        OUTPUT_QUIET ERROR_QUIET
        )
      if (GLIB_MKENUMS_PERL EQUAL 0)
        message("${GLIB_MKENUMS} is a PERL script.")
        set(GLIB_MKENUMS_CMD "${PERL_EXECUTABLE}" "${GLIB_MKENUMS}")
      endif ()
      if (NOT GLIB_MKENUMS_PERL EQUAL 0 AND NOT GLIB_MKENUMS_PYTHON EQUAL 0)
        message(FATAL_ERROR "Unable to determine type of glib-mkenums script")
      endif ()
	endif ()
  else ()

## harfbuzz 0.9.10

=== debian/changelog ===
harfbuzz (0.9.10-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Use canonical URIs in VCS-* fields
    + Added libgraphite2-dev to Build-Deps to enable Graphite2 backend
  * Update symbols file
  * Use autotools_dev to update outdated autotools helper files.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 09 Jan 2013 01:00:54 +0200

=== debian/control ===
Source: harfbuzz
Section: libs
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, libgraphite2-dev, autotools-dev
Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git

Package: libharfbuzz0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 This package contains the shared libraries.

Package: libharfbuzz-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libharfbuzz0 (= ${binary:Version})
Description: Development files for OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 This package contains the header files and static libraries for the
 FriBidi C library.

Package: libharfbuzz-bin
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine (utility)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 This package contains a command line interface for the harfbuzz library.

## harfbuzz 0.9.12

=== debian/changelog ===
harfbuzz (0.9.12-1ubuntu1) raring; urgency=low

  * Build without graphite2, it's in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Feb 2013 15:02:49 +0000

harfbuzz (0.9.12-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/libharfbuzz0.symbols: Update symbols.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 20 Jan 2013 12:44:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, libgraphite2-dev, autotools-dev
+Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, autotools-dev
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
 Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autotools_dev

## harfbuzz 0.9.13

=== debian/changelog ===
harfbuzz (0.9.13-1) experimental; urgency=low

  * New upstream release.
  * Disable Graphite2 backend, since it is unbuildable on some archs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 28 Feb 2013 09:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libicu-dev, libfreetype6-dev, autotools-dev
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz

## harfbuzz 0.9.19

=== debian/changelog ===
harfbuzz (0.9.19-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Jul 2013 22:37:34 +0200

harfbuzz (0.9.18-3) unstable; urgency=low

  * debian/patches/0001-Fix-build-without-graphite2.patch:
    + Removed, graphite2 is now available on armel and sparc so we can
      build with graphite2 support everywhere.
  * debian/control,
    debian/rules:
    + Build with graphite2 support everywhere in the normal build.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 Jun 2013 15:23:10 +0200

harfbuzz (0.9.18-2) unstable; urgency=low

  * Add myself to Uploaders.
  * debian/patches/0001-Fix-build-without-graphite2.patch:
    + Fix build when graphite2 is not installed. Fixes FTBFS on armel
      and sparc.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 Jun 2013 11:16:48 +0200

harfbuzz (0.9.18-1) unstable; urgency=low

  * New upstream release.
  * Removed icu.patch & graphite2.diff patches, as they got applied upstream.
  * Removed autoreconf
  * Add Graphite2 support (except for armel & sparc archs)
  * debian/libharfbuzz-dev.install: Install harfbuzz-icu.* development files.
  * Do not disable ICU in udeb, it is not needed anymore and it causes FTBFS.
  * Added libharfbuzz-icu0 package in which ICU support library is installed.
  * Renamed libharfbuzz0 to libharfbuzz0a.
  * debian/control:
    + Added libharfbuzz-icu0 to -dev package Depends.
    + Added Breaks/Replaces: libharfbuzz0 for libharfbuzz0a
  * debian/*.symbols: fixed package names.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 31 May 2013 17:02:53 +0200

harfbuzz (0.9.17-4) unstable; urgency=low

  * Added icu.patch patch to add configure option to enable/disable ICU 
    support.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org>
  * Added graphite2.diff patch to add configure option to enable/disable 
    Graphite2 support.
  * Use autoreconf
  * Re-enable ICU support
  * Disable ICU support only for the udeb target. (Closes: #709926)
    (LP: #1184340)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 May 2013 22:47:30 +0200

harfbuzz (0.9.17-3) unstable; urgency=low

  * Disable ICU support, as it pulls libicu & libstdc++, for which no udebs
    exist.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #709796)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 25 May 2013 22:35:22 +0200

harfbuzz (0.9.17-2) unstable; urgency=low

  * Added udeb package

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 23 May 2013 13:00:29 +0200

harfbuzz (0.9.17-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 22 May 2013 17:00:26 +0200

harfbuzz (0.9.16-1) experimental; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 20 Apr 2013 19:28:43 +0200

harfbuzz (0.9.15-1) experimental; urgency=low

  * New upstream release.
    + src/check-symbols.sh: Removed T marker (Closes: #704665)
  * Fixed libharfbuzz-dev description: FriBidi -> HarfBuzz
  * debian/libharfbuzz0.symbols: Added Build-Depends-Package field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Apr 2013 09:01:01 +0200

harfbuzz (0.9.14-1) experimental; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 30 Mar 2013 22:17:31 +0200

=== debian/control ===
Source: harfbuzz
Section: libs
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libfreetype6-dev, libicu-dev, libgraphite2-dev, autotools-dev
Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git

Package: libharfbuzz0a
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libharfbuzz0
Replaces: libharfbuzz0
Pre-Depends: ${misc:Pre-Depends}
Description: OpenType text shaping engine (shared library)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the shared libraries.

Package: libharfbuzz-icu0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenType text shaping engine ICU backend
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the ICU backend.

Package: libharfbuzz-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libharfbuzz0a (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version})
Description: Development files for OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the header files and static libraries for the
 HarfBuzz library.

Package: libharfbuzz-bin
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine (utility)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains a command line interface for the HarfBuzz library.

Package: libharfbuzz0-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,21 @@
 
 %:
 	dh $@ --with autotools_dev
+
+override_dh_auto_configure:
+	dh_auto_configure --builddir build-main -- --with-graphite2=yes
+	dh_auto_configure --builddir build-udeb -- --with-graphite2=no
+
+override_dh_auto_clean:
+	dh_auto_clean --builddir build-main
+	dh_auto_clean --builddir build-udeb
+
+override_dh_auto_build:
+	dh_auto_build --builddir build-main
+	dh_auto_build --builddir build-udeb
+
+override_dh_auto_install:
+	dh_auto_install --builddir build-main
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"

## harfbuzz 0.9.25

=== debian/changelog ===
harfbuzz (0.9.25-1) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.

  [ Iain Lane ]
  * Build with dh-autoreconf; thanks to Matthias Klose for the original change
    in Ubuntu.
  * Build without silent rules.

  [ Emilio Pozuelo Monfort ]
  * Wrap build depends.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 18 Dec 2013 13:29:08 +0200

harfbuzz (0.9.24-2) unstable; urgency=low

  * debian/control:
    + Add missing breaks/replaces on libharfbuzz0a.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 04 Dec 2013 17:49:59 +0100

harfbuzz (0.9.24-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version to 3.9.5.
  * SO bumped libharfbuzz0a to libharfbuzz0b
  * Added libharfbuzz-gobject0 for GObject bindings library and
    gir1.2-harfbuzz-0.0 for GObject introspection data
  * Added documentation package: libharfbuzz-doc
  * debian/libharfbuzz0b.symbols: Updated symbols file.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 20 Nov 2013 09:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,57 @@
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9~), pkg-config, libglib2.0-dev, libcairo2-dev, libfreetype6-dev, libicu-dev, libgraphite2-dev, autotools-dev
+Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9~),
+ pkg-config,
+ libglib2.0-dev,
+ libcairo2-dev,
+ libfreetype6-dev,
+ libicu-dev,
+ libgraphite2-dev,
+ libgirepository1.0-dev (>= 1.31.0-2),
+ gobject-introspection,
+ gtk-doc-tools (>= 1.15),
+ dh-autoreconf,
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
 Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git
 
-Package: libharfbuzz0a
+Package: libharfbuzz0b
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libharfbuzz0
-Replaces: libharfbuzz0
+Breaks: libharfbuzz0, libharfbuzz0a
+Replaces: libharfbuzz0, libharfbuzz0a
 Pre-Depends: ${misc:Pre-Depends}
 Description: OpenType text shaping engine (shared library)
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
  .
  This package contains the shared libraries.
+
+Package: libharfbuzz-gobject0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenType text shaping engine ICU backend (GObject library)
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains the GObject library, providing wrapper GObject type
+ bindings for all HarfBuzz objects and enums.
+
+Package: gir1.2-harfbuzz-0.0
+Section: introspection
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
+Description: OpenType text shaping engine (GObject introspection data)
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains introspection data for the GObject bindings library.
 
 Package: libharfbuzz-icu0
 Architecture: any
@@ -36,7 +69,7 @@
 Package: libharfbuzz-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libharfbuzz0a (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version})
+Depends: ${misc:Depends}, libharfbuzz0b (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version}), libharfbuzz-gobject0 (= ${binary:Version})
 Description: Development files for OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
@@ -54,6 +87,17 @@
  .
  This package contains a command line interface for the HarfBuzz library.
 
+Package: libharfbuzz-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: Documentation files for the HarfBuzz library
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains the HTML documentation for the HarfBuzz library.
+
 Package: libharfbuzz0-udeb
 Package-Type: udeb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf --with gir
 
 override_dh_auto_configure:
-	dh_auto_configure --builddir build-main -- --with-graphite2=yes
-	dh_auto_configure --builddir build-udeb -- --with-graphite2=no
+	dh_auto_configure --builddir build-main -- --with-graphite2=yes --enable-introspection --with-gobject --enable-gtk-doc --disable-silent-rules
+	dh_auto_configure --builddir build-udeb -- --with-graphite2=no --disable-silent-rules
 
 override_dh_auto_clean:
 	dh_auto_clean --builddir build-main

## harfbuzz 0.9.27

=== debian/changelog ===
harfbuzz (0.9.27-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: memory access issue in hb-ot-layout-gpos-table.hh
    - debian/patches/CVE-2015-8947.patch: call check_struct earlier in
      src/hb-ot-layout-gpos-table.hh.
    - CVE-2015-8947

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2016 11:20:31 -0400

harfbuzz (0.9.27-1ubuntu1) trusty; urgency=medium

  * debian/patches/0001-graphite2-Fix-cluster-mapping.patch: Cherry-pick a
    patch from upstream (in 0.9.30) to fix a crasher in the graphite2 engine
    when rendering some scripts (e.g. happens on Myanmar text). (LP: #1303516)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 21 Jul 2014 11:52:19 +0100

harfbuzz (0.9.27-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 22 Mar 2014 09:22:46 +0200

harfbuzz (0.9.26-4) unstable; urgency=low

  * Don't bail out on failed tests, the failed tests are not a problem in
    HarfBuzz itself.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 04 Feb 2014 15:48:03 +0200

harfbuzz (0.9.26-3) unstable; urgency=low

  * Re-enable the test suite.
    Since HarfBuzz has two builds, dh_auto_test needs to be overridden as
    with the other dh_auto_*.
    Thanks to Pino Toscano <pino@debian.org> (Closes: #737473)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Feb 2014 04:33:36 +0200

harfbuzz (0.9.26-2) unstable; urgency=low

  [ Iain Lane ]
  * Use Conflicts instead of Breaks for old library packages with same SONAME
    to ensure they are fully removed (thanks to Steve Langasek in Ubuntu).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Feb 2014 23:26:21 +0200

harfbuzz (0.9.26-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 02 Feb 2014 22:07:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.5
 Build-Depends:
@@ -24,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libharfbuzz0, libharfbuzz0a
+Conflicts: libharfbuzz0, libharfbuzz0a
 Replaces: libharfbuzz0, libharfbuzz0a
 Pre-Depends: ${misc:Pre-Depends}
 Description: OpenType text shaping engine (shared library)

=== debian/watch ===
version=3
http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-([\d\.]+)\.tar\.bz2

## harfbuzz 0.9.35

=== debian/changelog ===
harfbuzz (0.9.35-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2015-8947
    fix for buffer over-read in hb-ot-layout-gpos-table.hh

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Dec 2019 16:45:02 +0100

harfbuzz (0.9.35-2) unstable; urgency=medium

  * debain/clean: Remove test/shaping/*.pyc during clean
  * debian/rules: Build static libraries.
  * debian/libharfbuzz-dev.install:
    + Install static libraries (LP: #1385616)
    + Simplify file
  * debian/control: Bumped Standards-Version to 3.9.6
  * Update my email.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 30 Oct 2014 12:43:28 +0200

harfbuzz (0.9.35-1) unstable; urgency=medium

  * New upstream release.
  * Remove hb-xetex.patch, it is included upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 14 Aug 2014 11:47:30 +0300

harfbuzz (0.9.34-2) unstable; urgency=medium

  * Added hb-xetex.patch patch from upstream to fix shape-plan caching with
    more than one requested shaper
    (Closes: #750785)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 13 Aug 2014 17:01:09 +0300

harfbuzz (0.9.34-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Aug 2014 10:17:03 +0300

harfbuzz (0.9.33-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Added unbreak_abi.diff patch to Re-add hb_version_check to unbreak API/ABI.
    This patch should be removed on the next API/ABI break by upstream.
    See: #755094
  * Revert last SO bump, libharfbuzz0c back to libharfbuzz0b.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 30 Jul 2014 11:38:44 +0200

harfbuzz (0.9.32-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 20 Jul 2014 10:23:40 +0200

harfbuzz (0.9.30-1) experimental; urgency=medium

  * New upstream release.
  * SO bumped libharfbuzz0b to libharfbuzz0c.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Jul 2014 10:33:48 +0200

harfbuzz (0.9.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/rules: Get failing tests' stdout and stderr so we have some
    information when a build fails.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 05 Jun 2014 11:05:24 +0300

harfbuzz (0.9.28-2) unstable; urgency=medium

  * Build-Dep on gobject-introspection >= 1.34.0 (Closes: #749305)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 26 May 2014 11:54:26 +0300

harfbuzz (0.9.28-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 May 2014 10:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9~),
  pkg-config,
@@ -14,7 +13,7 @@
  libicu-dev,
  libgraphite2-dev,
  libgirepository1.0-dev (>= 1.31.0-2),
- gobject-introspection,
+ gobject-introspection (>= 1.34.0),
  gtk-doc-tools (>= 1.15),
  dh-autoreconf,
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# Let's get failing tests' stdout and stderr so we have some information when
# a build fails
export VERBOSE=1

%:
	dh $@ --with autoreconf --with gir

override_dh_auto_configure:
	dh_auto_configure --builddir build-main -- --with-graphite2=yes --enable-introspection --with-gobject --enable-gtk-doc --disable-silent-rules --enable-static
	dh_auto_configure --builddir build-udeb -- --with-graphite2=no --disable-silent-rules

override_dh_auto_clean:
	dh_auto_clean --builddir build-main
	dh_auto_clean --builddir build-udeb

override_dh_auto_build:
	dh_auto_build --builddir build-main
	dh_auto_build --builddir build-udeb

override_dh_auto_test:
	dh_auto_test --builddir build-main || true
	dh_auto_test --builddir build-udeb || true

override_dh_auto_install:
	dh_auto_install --builddir build-main

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"

## harfbuzz 0.9.37

=== debian/changelog ===
harfbuzz (0.9.37-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 25 Dec 2014 14:19:35 +0200

harfbuzz (0.9.36-1) experimental; urgency=medium

  * New upstream release.
  * Add debian/gbp.conf to set debian branch to experimental.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 28 Nov 2014 08:32:35 +0200

## harfbuzz 1.0.1

=== debian/changelog ===
harfbuzz (1.0.1-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: memory access issue in hb-ot-layout-gpos-table.hh
    - debian/patches/CVE-2015-8947.patch: call check_struct earlier in
      src/hb-ot-layout-gpos-table.hh.
    - CVE-2015-8947
  * SECURITY UPDATE: buffer over-read via inverted length check
    - debian/patches/CVE-2016-2052.patch: fix hmtx wrong table length check
      in src/hb-ot-font.cc.
    - CVE-2016-2052

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2016 11:14:40 -0400

harfbuzz (1.0.1-1build2) wily; urgency=medium

  * No change rebuilds for missing ddebs

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2015 11:30:16 +0100

harfbuzz (1.0.1-1build1) wily; urgency=medium

  * Rebuild for icu 55.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 21:21:30 +0000

harfbuzz (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Make failing tests fatal again.
    See comment in #737473
    Thanks to Pino Toscano <pino@debian.org>
  * debian/copyright: Update upstream copyright years.
  * debian/libharfbuzz0b.symbols, debian/libharfbuzz-gobject0.symbols: update
    symbols files.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 28 Jul 2015 14:29:08 +0200

harfbuzz (0.9.41-1) unstable; urgency=medium

  * New upstream release.
  * debian/libharfbuzz0b.symbols: update symbols file.
  * debian/libharfbuzz-gobject0.symbols: remove symbol that was introduced by
    mistake by upstream. SO bump is not required since no other package
    depends on that package yet.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 29 Jun 2015 15:29:27 +0200

harfbuzz (0.9.40-3) unstable; urgency=medium

  * Provide debug symbols package for libharfbuzz0b (Closes: #744989)
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2015 10:13:11 +0200

harfbuzz (0.9.40-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove debian/gbp.conf, not needed in master branch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Apr 2015 19:52:42 +0200

harfbuzz (0.9.40-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 24 Mar 2015 13:19:09 +0200

harfbuzz (0.9.39-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Mar 2015 11:52:42 +0200

harfbuzz (0.9.38-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Feb 2015 20:01:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.6
 Build-Depends:
@@ -107,3 +108,15 @@
 Description: OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
+
+Package: libharfbuzz0b-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharfbuzz0b (= ${binary:Version})
+Description: OpenType text shaping engine
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains detached debugging symbols for libharfbuzz.

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,15 @@
 	dh_auto_build --builddir build-udeb
 
 override_dh_auto_test:
-	dh_auto_test --builddir build-main || true
-	dh_auto_test --builddir build-udeb || true
+	dh_auto_test --builddir build-main
+	dh_auto_test --builddir build-udeb
 
 override_dh_auto_install:
 	dh_auto_install --builddir build-main
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"
+
+override_dh_strip:
+	dh_strip -plibharfbuzz0b --dbg-package=libharfbuzz0b-dbg
+	dh_strip -Nlibharfbuzz0b

## harfbuzz 1.2.6

=== debian/changelog ===
harfbuzz (1.2.6-2) unstable; urgency=medium

  * debian/control: Add missing dependencies to libharfbuzz-dev.
    Closes: #822432.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Apr 2016 22:26:59 +0200

harfbuzz (1.2.6-1) unstable; urgency=medium

  * New upstream release. Closes: #820596.
  * debian/patches/unbreak_abi.diff: Refresh.
  * debian/libharfbuzz0b.symbols: Add new symbols.
  * debian/control: Make libharfbuzz-dev M-A: same. Closes: #801669.
  * debian/control: Bump gobject-introspection b-d. Closes: #734389.
  * debian/control, debian/rules: Drop -dbg package, we now have dbgsyms.
  * debian/control: Bump Standards-Version to 3.9.8; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Apr 2016 10:14:57 +0200

## harfbuzz 1.2.7

=== debian/changelog ===
harfbuzz (1.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Jul 2016 18:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
  debhelper (>= 9~),
  pkg-config,
@@ -14,7 +13,7 @@
  libicu-dev,
  libgraphite2-dev,
  libgirepository1.0-dev (>= 1.31.0-2),
- gobject-introspection (>= 1.34.0),
+ gobject-introspection (>= 1.42.0),
  gtk-doc-tools (>= 1.15),
  dh-autoreconf,
 Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
@@ -69,8 +68,16 @@
 
 Package: libharfbuzz-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libharfbuzz0b (= ${binary:Version}), libharfbuzz-icu0 (= ${binary:Version}), libharfbuzz-gobject0 (= ${binary:Version})
+Depends:
+ ${misc:Depends},
+ libharfbuzz0b (= ${binary:Version}),
+ libharfbuzz-icu0 (= ${binary:Version}),
+ libharfbuzz-gobject0 (= ${binary:Version}),
+ libglib2.0-dev (>= 2.16),
+ libgraphite2-dev,
+ libicu-dev,
 Description: Development files for OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
@@ -108,15 +115,3 @@
 Description: OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
-
-Package: libharfbuzz0b-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharfbuzz0b (= ${binary:Version})
-Description: OpenType text shaping engine
- HarfBuzz is an implementation of the OpenType Layout engine (aka layout
- engine) and the script-specific logic (aka shaping engine).
- .
- This package contains detached debugging symbols for libharfbuzz.

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb"
-
-override_dh_strip:
-	dh_strip -plibharfbuzz0b --dbg-package=libharfbuzz0b-dbg
-	dh_strip -Nlibharfbuzz0b

## harfbuzz 1.4.2

=== debian/changelog ===
harfbuzz (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump glib requirement.
  * debian/rules: Pass -c4 to dpkg-gensymbols.
  * debian/libharfbuzz*.symbols: Add new symbols.
  * debian/rules: Don't export VERBOSE, debhelper does that now.
  * debian/rules: Don't disable silent rules, debhelper does it.
  * debian/compat, debian/control: Bump debhelper compat to 10.
  * debian/rules, debian/control: Let debhelper enable autoreconf for us.
  * debian/control, debian/copyright, debian/watch: Switch URLs to https.
  * debian/patches/unbreak_abi.diff: Refresh.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 25 Jan 2017 00:59:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  pkg-config,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.19.1),
  libcairo2-dev,
  libfreetype6-dev,
  libicu-dev,
@@ -15,10 +15,9 @@
  libgirepository1.0-dev (>= 1.31.0-2),
  gobject-introspection (>= 1.42.0),
  gtk-doc-tools (>= 1.15),
- dh-autoreconf,
-Homepage: http://www.freedesktop.org/wiki/Software/HarfBuzz
-Vcs-Git: git://anonscm.debian.org/collab-maint/harfbuzz.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/harfbuzz.git
+Homepage: https://www.freedesktop.org/wiki/Software/HarfBuzz
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/harfbuzz.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/harfbuzz.git
 
 Package: libharfbuzz0b
 Architecture: any
@@ -75,7 +74,7 @@
  libharfbuzz0b (= ${binary:Version}),
  libharfbuzz-icu0 (= ${binary:Version}),
  libharfbuzz-gobject0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.16),
+ libglib2.0-dev (>= 2.19.1),
  libgraphite2-dev,
  libicu-dev,
 Description: Development files for OpenType text shaping engine

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure --builddir build-main -- --with-graphite2=yes --enable-introspection --with-gobject --enable-gtk-doc --enable-static
	dh_auto_configure --builddir build-udeb -- --with-graphite2=no

override_dh_auto_clean:
	dh_auto_clean --builddir build-main
	dh_auto_clean --builddir build-udeb

override_dh_auto_build:
	dh_auto_build --builddir build-main
	dh_auto_build --builddir build-udeb

override_dh_auto_test:
	dh_auto_test --builddir build-main
	dh_auto_test --builddir build-udeb

override_dh_auto_install:
	dh_auto_install --builddir build-main

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb" -- -c4
